Title: Operator index > By section > Basic

<!-- libvips/iofuncs/type.c -->

A selection of basic aliases, [alias@GObject.Type] helpers and macro
definitions used by libvips.

## Structs

* [struct@Area]
* [struct@ArrayDouble]
* [struct@ArrayImage]
* [struct@ArrayInt]
* [struct@Blob]
* [struct@RefString]
* [struct@SaveString]

## Aliases

* [alias@Pel]

## Callbacks

* [callback@CallbackFn]
* [callback@SListMap2Fn]
* [callback@SListMap4Fn]
* [callback@SListFold2Fn]

## Functions

* [method@Area.copy]
* [func@Area.free_cb]
* [method@Area.unref]
* [ctor@Area.new]
* [ctor@Area.new_array]
* [ctor@Area.new_array_object]
* [method@Area.get_data]
* [ctor@RefString.new]
* [method@RefString.get]
* [ctor@Blob.new]
* [func@Blob.copy]
* [method@Blob.get]
* [method@Blob.set]
* [ctor@ArrayDouble.new]
* [ctor@ArrayDouble.newv]
* [method@ArrayDouble.get]
* [ctor@ArrayInt.new]
* [ctor@ArrayInt.newv]
* [method@ArrayInt.get]
* [ctor@ArrayImage.new]
* [ctor@ArrayImage.newv]
* [ctor@ArrayImage.empty]
* [method@ArrayImage.append]
* [method@ArrayImage.get]
* [func@value_set_area]
* [func@value_get_area]
* [func@value_get_save_string]
* [func@value_set_save_string]
* [func@value_set_save_stringf]
* [func@value_get_ref_string]
* [func@value_set_ref_string]
* [func@value_get_blob]
* [func@value_set_blob]
* [func@value_set_blob_free]
* [func@value_set_array]
* [func@value_get_array]
* [func@value_get_array_double]
* [func@value_set_array_double]
* [func@value_get_array_image]
* [func@value_set_array_image]
* [func@value_get_array_int]
* [func@value_set_array_int]
* [func@value_get_array_object]
* [func@value_set_array_object]

## Function macros

* [func@DEPRECATED_FOR]
* [func@DEPRECATED_MACRO_FOR]
* [func@ARRAY_ADDR]
